## libmemcached 1.0.8

=== debian/changelog ===
libmemcached (1.0.8-1ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 23:23:55 +0000

libmemcached (1.0.8-1ubuntu1) saucy; urgency=low

  * Use dh --with autotools-dev to update config.{sub,guess} for new ports.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Sep 2013 13:08:56 -0600

libmemcached (1.0.8-1) unstable; urgency=low

  * New upstream release.
  * Clean up files to allow two builds in a row.
  * Fix duplicate Copyright fields.
  * Switch to dh format 9:
     + Enable hardening.
     + Enable mutli-arch.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 30 May 2012 14:16:50 +0200

libmemcached (1.0.6-1) unstable; urgency=low

  * New upstream release (Closes: #667620).
  * Remove gcc-4.7 patch as it has been integrated upstream.
  * Bump soname for both libmemcached and libhashkit.
  * Update copyright years.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 11 Apr 2012 15:06:20 +0200

libmemcached (1.0.5-2) unstable; urgency=low

  * Add patch to fix gcc-4.7 FTBFS (Closes: #667248).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 04 Apr 2012 14:31:18 +0200

libmemcached (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Allow HTTPS urls in d/watch.
  * Bump standards version to 3.9.3.
  * Remove all symbols files.
  * Update DEP5 url to 1.0.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sat, 24 Mar 2012 10:08:29 +0100
