=== debian/watch ===
version=3
https://launchpad.net/libmemcached/+download \
https?://launchpad.net/libmemcached/[\d\.]+/[\d\.]+/\+download/libmemcached-([\d\.]+).tar.gz
