## libmemcached 1.0.18

=== debian/changelog ===
libmemcached (1.0.18-4) unstable; urgency=medium

  * Add move-ax_confix_aux_dir.patch to move AC_CONFIG_AUX_DIR up a few lines
    so autofoo can find it (Closes: #768688).
  * Bump Standards-Version to 3.9.6.
  * Update Vcs-Browser field.
  * Move main license entry to top in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 12 Nov 2014 07:49:47 +0100

libmemcached (1.0.18-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 19 Mar 2014 08:45:30 +0100

libmemcached (1.0.18-2) experimental; urgency=low

  * Include c++11.patch to prevent relying on C++11 features in
    reverse-dependencies (Closes: #740940,#740941,#740935).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 17 Mar 2014 14:55:32 +0100

libmemcached (1.0.18-1) experimental; urgency=medium

  * Imported Upstream version 1.0.18 (Closes: #724729,#688089).
  * Move git packaging repository to alioth.
    Update Vcs-* fields accordingly.
  * Bump Standards-Version to 3.9.5.
  * Check PGP detached signature for source tarball.
    + Add upstream signing key DA248813 in d/upstream-signing-key.pgp.
    + Add pgpsigurlmangle option to d/watch.
  * Fix typos in long description, thanks to
    Pascal De Vuyst (Closes: #732764).
  * Update years in d/copyright.
  * Make Build-Depends on automake unversioned.
  * Make license short names in d/copyright conformant to machine readable
    format 1.0:
     + BSD-TangentOrg to BSD-3-clause-TangentOrg
     + "Paul Hsieh derivative license" to Paul-Hsieh
     + "RSA Data Security License" to RSA-Data-Security
     + "Bob Jenkins License" to Bob-Jenkins
     + BSD-Sun to BSD-3-clause-Sun
     + BSD to BSD-3-clause
  * Add lintian overrides for missing symbol files.
  * Include debian/upstream-signing-key.pgp in the allowed binary files.
  * Remove patches included in upstream:
     + autoconf_ax_memcached
     + gcc-4.8.patch
  * Unfuzz patches:
     + fix_spelling.patch
     + hurd.patch

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 28 Feb 2014 09:57:26 +0100

libmemcached (1.0.17-2) experimental; urgency=low

  * Add hurd.patch to fix build failures on GNU/Hurd, thanks to Pino Toscano
    (Closes: #644657).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 17 Jun 2013 08:43:46 +0200

libmemcached (1.0.17-1) experimental; urgency=low

  [ Faidon Liambotis ]
  * New upstream release.
    - Fixes FTBFS on multiple architectures.
  * Add patch autoconf_ax_memcached, fixing an upstream bug manifesting in the
    absence of a memcached binary during the execution of the test suite.
  * Add --with autoreconf to dh and build-depend on dh_autoreconf; necessary
    for the above autoconf patch to work.
  * Remove patch fix-for-gcc47.patch from source: not in series, applied
    upstream.

  [ Michael Fladischer ]
  * Bump Standards version to 3.9.4.
  * Add 'Multi-Arch: same' to -dbg package.
  * Add patch m4_pthread, which fixes the flags for pthreads.
  * Add patch gcc-4.8, fixing incompatible flags with gcc-4.8 (taken from
    upstream BTS).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 12 Jun 2013 13:18:36 +0200

libmemcached (1.0.16-1) experimental; urgency=low

  * New upstream release.
  * Update spelling patch.
  * Remove conflicts on older versions of libmemcached and libhashkit
    (Closes:700091).
  * Update spelling patch.
  * Install libhashkit2 manpages manually.
  * Bump SONAME to 11 for libmemcached.
  * Manually install libmemcached manpages.
  * Update naming conflict resolution to cope with new manpages.
  * Drop libmemcachedprotocol package as it is broken and no longer maintained
    in upstream.
  * Manually install libmemcached-tools manpages.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 13 Feb 2013 12:15:19 +0100
