=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: libmemcached
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
+Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: autoconf,
+               automake,
+               debhelper (>= 9),
                dh-autoreconf,
-               automake (>= 1.10),
-               debhelper (>= 9),
                libcloog-ppl-dev,
                libevent-dev,
                libsasl2-dev,
                libtool
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://libmemcached.org/libMemcached.html
-Vcs-Browser: http://git.fladi.at/libmemcached.git/
-Vcs-Git: http://git.fladi.at/libmemcached.git/
+Vcs-Git: git://anonscm.debian.org/collab-maint/libmemcached.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libmemcached.git
 
-Package: libmemcached10
+Package: libmemcached11
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libmemcached2, libmemcached3, libmemcached6, libmemcached9
 Description: C and C++ client library to the memcached server
  libmemcached is a C and C++ client library to the memcached server
  (http://memcached.org/). It has been designed to be light on memory
@@ -45,8 +43,7 @@
 Section: libdevel
 Architecture: any
 Depends: libhashkit-dev (=${binary:Version}),
-         libmemcached10 (= ${binary:Version}),
-         libmemcachedprotocol0 (= ${binary:Version}),
+         libmemcached11 (= ${binary:Version}),
          libmemcachedutil2 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},
@@ -74,9 +71,9 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libhashkit2 (=${binary:Version}),
-         libmemcached10 (= ${binary:Version}),
-         libmemcachedprotocol0 (= ${binary:Version}),
+         libmemcached11 (= ${binary:Version}),
          libmemcachedutil2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -123,36 +120,11 @@
  .
  This package provides the libmemcachedutil library.
 
-Package: libmemcachedprotocol0
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: library implementing the memcached protocol
- libmemcached is a C and C++ client library to the memcached server
- (http://memcached.org/). It has been designed to be light on memory
- usage, thread safe, and provide full access to server side methods.
- .
- A few notes on its design:
- .
-   * Synchronous and Asynchronous support.
-   * Access to large object support.
-   * Local replication.
-   * TCP and Unix Socket protocols.
-   * A half dozen or so different tuneable hash algorithms.
-   * Implementations of the new cas, replace, and append operators.
-   * Man pages written up on entire API.
-   * Implements both modulo and consistent hashing solutions.
-   * Tools to Manage your Memcached networks.
- .
- This package provides the libmemcachedprotocol shared library.
-
 Package: libhashkit2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libhashkit1
 Description: libmemcached hashing functions and algorithms
  libhashkit is a small and thread-safe client library that provides a
  collection of useful hashing algorithm. libhashkit is distributed with
@@ -186,7 +158,7 @@
  .
    * memccat - Copy the value of a key to standard output
    * memcflush - Flush the contents of your servers.
-   * memcrm - Remove a key(s) from the serrver.
-   * memccp - Copy files to a memached server.
+   * memcrm - Remove a key(s) from the server.
+   * memccp - Copy files to a memcached server.
    * memcstat - Dump the stats of your servers to standard output
    * memcslap - Generate testing loads on a memcached cluster
