=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,14 @@
 override_dh_auto_install:
 	dh_auto_install
 	# Naming conflict: rename commandline programs
-	for memfile in $(TMP)/usr/bin/mem* $(TMP)/usr/share/man/man1/mem*.1 ; do \
+	for memfile in $(TMP)/usr/bin/mem*; do \
+		mv $$memfile `echo $$memfile | sed 's/\bmem/memc/'` ; \
+	done
+
+override_dh_installman:
+	dh_installman
+	# Naming conflict: rename commandline programs
+	for memfile in debian/libmemcached-tools/usr/share/man/man1/mem*.1; do \
 		mv $$memfile `echo $$memfile | sed 's/\bmem/memc/'` ; \
 	done
