=== src/CMakeLists.txt ===
add_subdirectory(p9y)

add_subdirectory(bin)
add_subdirectory(libhashkit)
add_subdirectory(libmemcached)
add_subdirectory(libmemcachedutil)
add_subdirectory(libmemcachedprotocol)
