=== debian/changelog ===
libmemcached (1.1.4-1.1build4) questing; urgency=medium

  * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 22 Sep 2025 11:21:14 +0000

libmemcached (1.1.4-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:16:06 +0000

libmemcached (1.1.4-1.1build2) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:22:27 +0100

libmemcached (1.1.4-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:24:57 +0000

libmemcached (1.1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062415

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:05:21 +0000

libmemcached (1.1.4-1) unstable; urgency=high

  * New upstream version 1.1.4

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Mar 2023 19:38:02 +0100

libmemcached (1.1.3-3) unstable; urgency=medium

  * Prevent libmemcachedutil underlinking by removing the conditional
    around target_link_libraries (Closes: #1031450)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Feb 2023 01:50:44 +0100

libmemcached (1.1.3-2) unstable; urgency=medium

  * Add Breaks + Replaces: libhashkit2 (<< 1.1.3-1~) to libhashkit-dev
    (Closes: #1030824)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 20:58:11 +0100

libmemcached (1.1.3-1) unstable; urgency=medium

  * Add stricter cmake >= 3.12.0 dependency

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 11:57:02 +0100

libmemcached (1.1.3-1~exp1) experimental; urgency=medium

  * New upstream version 1.1.3
  * Update the install files
  * Update the packaging for new cmake build system
  * Add cmake to B-D
  * Remove obsolete upstream patches

 -- Ondřej Surý <ondrej@debian.org>  Sun, 05 Feb 2023 11:27:37 +0100

libmemcached (1.0.18+-1) unstable; urgency=medium

  * Use official upstream tarball for libmemcached 1.0.18
  * Do dbgsym transition
  * Move the dh_missing and dh_strip options to the top generic rule
  * Install usr/share/aclocal/ax_libmemcached.m4, ignore all .la files
  * Bump the d/compat to 13
  * Change the VCS to salsa.d.o
  * Add d/gbp.conf for main branch
  * Update Michael's email address, to @d.o address
  * Make myself a maintainer with Michael's blessing, keep Michael
    as co-maintainer

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Oct 2022 15:54:57 +0200

libmemcached (1.0.18-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 7. Closes: #853497.
  * Mark -dev packages as M-A: same.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Oct 2017 09:19:11 +0200

libmemcached (1.0.18-4.1) unstable; urgency=medium

  * Non maintainer upload.
  * Remove build dependency on libcloog-ppl-dev. Closes: #807172.
  * Fix parallel build. Closes: #714084.
  * Don't try to build docs and manual pages. Closes: #807171.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Dec 2015 21:37:57 +0100
