=== debian/control ===
--- 
+++ 
@@ -1,25 +1,32 @@
 Source: libmemcached
 Priority: optional
-Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
-Build-Depends: autoconf,
-               automake,
-               debhelper (>= 9),
-               dh-autoreconf,
-               libcloog-ppl-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
+Uploaders: Michael Fladischer <fladi@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), bison,
+               cmake (>= 3.12.0),
+               debhelper-compat (= 13),
+               flex,
                libevent-dev,
                libsasl2-dev,
-               libtool
-Standards-Version: 3.9.6
+               libssl-dev,
+               pkg-config,
+               python3-sphinx
+Standards-Version: 4.5.1
 Section: libs
-Homepage: http://libmemcached.org/libMemcached.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/libmemcached.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libmemcached.git
+Homepage: https://awesomized.github.io/libmemcached/
+Vcs-Git: https://salsa.debian.org/debian/libmemcached.git
+Vcs-Browser: https://salsa.debian.org/debian/libmemcached
 
-Package: libmemcached11
+Package: libmemcached11t64
+Provides: ${t64:Provides}
+Replaces: libmemcached11
+Breaks: libmemcached11 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: C and C++ client library to the memcached server
  libmemcached is a C and C++ client library to the memcached server
  (http://memcached.org/). It has been designed to be light on memory
@@ -42,9 +49,10 @@
 Package: libmemcached-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libhashkit-dev (=${binary:Version}),
-         libmemcached11 (= ${binary:Version}),
-         libmemcachedutil2 (= ${binary:Version}),
+         libmemcached11t64 (= ${binary:Version}),
+         libmemcachedutil2t64 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -67,40 +75,16 @@
  .
  This package provides the development files.
 
-Package: libmemcached-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libhashkit2 (=${binary:Version}),
-         libmemcached11 (= ${binary:Version}),
-         libmemcachedutil2 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Debug Symbols for libmemcached
- libmemcached is a C and C++ client library to the memcached server
- (http://memcached.org/). It has been designed to be light on memory
- usage, thread safe, and provide full access to server side methods.
- .
- A few notes on its design:
- .
-   * Synchronous and Asynchronous support.
-   * Access to large object support.
-   * Local replication.
-   * TCP and Unix Socket protocols.
-   * A half dozen or so different tuneable hash algorithms.
-   * Implementations of the new cas, replace, and append operators.
-   * Man pages written up on entire API.
-   * Implements both modulo and consistent hashing solutions.
-   * Tools to Manage your Memcached networks.
- .
- This package provides debug symbols.
-
-Package: libmemcachedutil2
+Package: libmemcachedutil2t64
+Provides: ${t64:Provides}
+Replaces: libmemcachedutil2
+Breaks: libmemcachedutil2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libmemcached11t64 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: library implementing connection pooling for libmemcached
  libmemcached is a C and C++ client library to the memcached server
  (http://memcached.org/). It has been designed to be light on memory
@@ -120,11 +104,15 @@
  .
  This package provides the libmemcachedutil library.
 
-Package: libhashkit2
+Package: libhashkit2t64
+Provides: ${t64:Provides}
+Replaces: libhashkit2
+Breaks: libhashkit2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: libmemcached hashing functions and algorithms
  libhashkit is a small and thread-safe client library that provides a
  collection of useful hashing algorithm. libhashkit is distributed with
@@ -135,9 +123,14 @@
 Package: libhashkit-dev
 Section: libdevel
 Architecture: any
-Replaces: libmemcached-dev (<< 1.0.3-1)
-Breaks: libmemcached-dev (<< 1.0.3-1)
-Depends: libhashkit2 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Replaces: libhashkit2t64 (<< 1.1.3-1~),
+          libmemcached-dev (<< 1.0.3-1)
+Breaks: libhashkit2t64 (<< 1.1.3-1~),
+        libmemcached-dev (<< 1.0.3-1)
+Depends: libhashkit2t64 (=${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: libmemcached hashing functions and algorithms (development files)
  libhashkit is a small and thread-safe client library that provides a
  collection of useful hashing algorithm. libhashkit is distributed with
@@ -148,7 +141,8 @@
 Package: libmemcached-tools
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Commandline tools for talking to memcached via libmemcached
  libmemcached is a C and C++ client library to the memcached server
  (http://memcached.org/). It has been designed to be light on memory
