=== debian/rules ===
#!/usr/bin/make -f

TMP=$(CURDIR)/debian/tmp/

%:
	dh $@ --with autoreconf -X.la -Xlibp9y.a -Xlibmemcached-awesome -Xlibmemcachedprotocol.so -Xlibmemcachedprotocol-0.0 -O--dbgsym-migration='libmemcached-dbg (<< 1.0.18-5~)' --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DBUILD_DOCS=yes \
		-DBUILD_DOCS_HTML=no \
		-DBUILD_DOCS_MAN=yes \
		-DENABLE_SASL=yes \
		-DENABLE_OPENSSL_CRYPTO=yes \
		-DCMAKE_EXPORT_NO_PACKAGE_REGISTRY=yes

override_dh_auto_install:
	dh_auto_install
	# Naming conflict: rename commandline programs
	for memfile in $(TMP)/usr/bin/mem*; do \
		mv $$memfile `echo $$memfile | sed 's/\bmem/memc/'` ; \
	done
	for memfile in $(TMP)/usr/share/man/man1/mem*.1.gz; do \
		mv $$memfile `echo $$memfile | sed 's/\bmem/memc/'` ; \
	done
	rm -rf $(TMP)/usr/lib/*/cmake/libmemcached-awesome/
	rm -rf $(TMP)/usr/share/doc/libmemcached-awesome/

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_test:

get-orig-source:
	uscan --verbose --force-download --rename --repack --destdir=..
